using System;
using System.Collections.Generic;
using System.Text;

namespace ReadWrite
{
    public class WorkerParams
    {
        public ulong portNumber;
        public ulong channelNumber;
        public int method;
        public MSXE3701 mx;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="portNumber"></param>
        /// <param name="channelNumber"></param>
        /// <param name="method">0: by port, 1: by channel</param>
        /// <param name="mx"></param>
        public WorkerParams(ulong portNumber,ulong channelNumber, int method, MSXE3701 mx)
        {
            this.portNumber = portNumber;
            this.channelNumber = channelNumber;
            this.method = method;
            this.mx = mx;
        }
    }
}
